Subject: RE: [Tsvwg] WGLC on the SCTPImplementer's Guide (draft-ietf-tsvwg-sctp-impguide-14.txt)

From: [email-masked]
Date: Thu, 25 Aug 2005 13:55:22 +0300

Couple of thoughts: 

>> If this really is about "SCTP Protocol Specification Errata and 
>> Issues", then that might be a good name (modulo tweaks).
>> 
>> This change might be useful regardless of whether it's going 
>> standards-track or informational - esp. if informational might end up

>> going historic (but see caveat below).
>
>Well, WG, any objections.. if not I will change the title per 
>Joe's suggestion.. Any tweaks you want to add?
>Speak up :-D

That sounds like a reasonable change.

>> Informational doesn't seem like it ought to ever go to Historic
unless 
>> its an informational spec. RFC2026 talks about specifications going
to 
>> historic, and this isn't a specification - or doesn't seem to be
named 
>> such. I'd prefer the name reflect that it is a spec if that's the 
>> case, but I still don't see why we're creating deliberately ephemeral
RFCs.
>> 
>Hmm.. it seems to me that the I-G could stay informational. I 
>am not sure when one marks things "historic"...

One of the problems is that RFCs are forever.  What we should not do is
make
confusion for future TSVWGers.  The document is not clear enough, IMO,
in the
introduction, about the purpose of the document.  Think about this way,
if
in 3 years, 2960 is revised, someone will read 2960, this document &
2960-bis.
Will this document be clear enough so that the reader understands what
it means?
Also, for documents to become historic, usually another RFC needs to be 
written to make it go historic, so approving a document that we know
should 
go historic in a short time seems like extra work ...

just my two cents.

John

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Randall Stewart <[email-masked]>
Date: Thu, 25 Aug 2005 08:35:10 -0400

[email-masked] wrote:
>> Well, WG, any objections.. if not I will change the title per Joe's
>> suggestion.. Any tweaks you want to add? Speak up :-D
> 
> 
>> Hmm.. it seems to me that the I-G could stay informational. I am
>> not sure when one marks things "historic"...
> 
> 
> One of the problems is that RFCs are forever.  What we should not do
> is make confusion for future TSVWGers.  The document is not clear
> enough, IMO, in the introduction, about the purpose of the document.

As Scott would say.. please send text :-D

> Think about this way, if in 3 years, 2960 is revised, someone will
> read 2960, this document & 2960-bis. Will this document be clear
> enough so that the reader understands what it means? Also, for
> documents to become historic, usually another RFC needs to be written
> to make it go historic, so approving a document that we know should 

If we explain the up front right.. then maybe keeping it informational
is the right thing.. this explains why 2960 became xxxx

We may want to hold its publishing until 2960bis finishes... (in the
rfc editors queue)

R

-- 
Randall Stewart
803-345-0369 <or> 815-342-5222(cell)

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 25 Aug 2005 17:44:17 -0600

Randall,

> We may want to hold its publishing until 2960bis finishes... (in the

To worthwhile as a delta between 2960(3309) and xxxx, why not delay it
until 2960bis is complete?

Instead of containing just the reasons for starting work on 2960bis,
it could then contain the actual reasons why xxxx differs from 2960(3309).
Also, making it useful as a companion document to xxxx, while xxxx is not
obsolete, instead of being obsoleted by xxxx.  (Ok, I lost myself there...)

IMO even placing it into the RFC editor's queue before 2960bis is finalized
is premature and non-productive.  (There are bound to be changes to 2960bis
before publication that will not be captured.)

It might be moot because I don't believe that anyone is going to review
and Informational draft as it is not binding on the protocol specification.
I welcome seeing the first rfc2960bis draft as soon as you can produce one
and will certainly comment on that.

--brian

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦